<?xml version="1.0" encoding="UTF-8"?>
<!--(c) Vodafone Group Services Limited. All rights reserved.
This document comprises proprietary and confidential information and copyright material belonging to Vodafone Group Services Limited.
Other than as permitted by law, no part of this document may be reproduced, adapted, or distributed, in any form or by any means, without
the prior written consent of Vodafone Group Services Limited.
The information in this document is subject to change without notice.
All trademarks acknowledged.
Vodafone Group Services Limited - Confidential-->
<xsd:schema targetNamespace="http://group.vodafone.com/schema/vbo/service/service-balance/v1" elementFormDefault="qualified" attributeFormDefault="unqualified" version="1.0" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:tns="http://group.vodafone.com/schema/vbo/service/service-balance/v1" xmlns:extvbo="http://group.vodafone.com/schema/extension/vbo/service/service-balance/v1" xmlns:cct="urn:un:unece:uncefact:documentation:standard:CoreComponentType:2" xmlns:cmn="http://group.vodafone.com/schema/common/v1">
   <xsd:annotation>
      <xsd:documentation>Schema definition for ServiceBalance.</xsd:documentation>
   </xsd:annotation>
   <xsd:import namespace="http://group.vodafone.com/schema/common/v1" schemaLocation="../../../Common/V1/CommonComponents.xsd"/>
   <xsd:import namespace="http://group.vodafone.com/schema/extension/vbo/service/service-balance/v1" schemaLocation="./Extension/ExtendedServiceBalanceVBO.xsd"/>
   <xsd:import namespace="urn:un:unece:uncefact:documentation:standard:CoreComponentType:2" schemaLocation="../../../Common/V1/CoreComponentType_2p0.xsd"/>
   <xsd:import namespace="http://group.vodafone.com/schema/common/v1" schemaLocation="../../../Common/V1/Meta.xsd"/>
   <xsd:complexType name="ServiceBalanceVBOType">
      <xsd:annotation>
         <xsd:documentation>The Service Balance service is an Entity service providing a capability to retrieve a balance information from the downstream systems. This balance information represent the available amount of a service owned by a certain customer.</xsd:documentation>
      </xsd:annotation>
      <xsd:complexContent>
         <xsd:extension base="cmn:ExtendedBaseComponentType">
            <xsd:sequence>
               <xsd:element name="ServiceIdentifier" type="cct:IDType" minOccurs="0"/>
               <xsd:element name="Details" type="tns:ServiceBalanceDetailsType" minOccurs="0"/>
               <xsd:element name="RelatedServiceBalances" minOccurs="0">
                  <xsd:complexType>
                     <xsd:sequence>
                        <xsd:element name="RelatedServiceBalance" type="tns:RelatedServiceBalanceType" maxOccurs="unbounded"/>
                     </xsd:sequence>
                  </xsd:complexType>
               </xsd:element>
               <xsd:element name="Roles" type="tns:ServiceBalanceRolesType" minOccurs="0"/>
               <xsd:element name="Parts" type="tns:ServiceBalancePartsType" minOccurs="0"/>
               <xsd:element name="RelatedParties" minOccurs="0">
                  <xsd:annotation>
                     <xsd:documentation>The set of involvement roles associated with the Article</xsd:documentation>
                  </xsd:annotation>
                  <xsd:complexType>
                     <xsd:sequence>
                        <xsd:element name="RelatedParty" type="cmn:RelatedPartyType" maxOccurs="unbounded">
                           <xsd:annotation>
                              <xsd:documentation>The involvement role associated with the Service Balance.</xsd:documentation>
                           </xsd:annotation>
                        </xsd:element>
                        <xsd:element name="Extension" type="extvbo:ExtendedRelatedPartyType" minOccurs="0"/>
                     </xsd:sequence>
                  </xsd:complexType>
               </xsd:element>
               <xsd:element name="Extension" type="extvbo:ExtendedServiceBalanceVBOType" minOccurs="0"/>
            </xsd:sequence>
         </xsd:extension>
      </xsd:complexContent>
   </xsd:complexType>
   <xsd:complexType name="ServiceBalanceDetailsType">
      <xsd:annotation>
         <xsd:documentation>A type definition for ServiceBalance Details</xsd:documentation>
      </xsd:annotation>
      <xsd:sequence>
         <xsd:choice>
            <xsd:element name="Amount" type="cct:AmountType" minOccurs="0">
               <xsd:annotation>
                  <xsd:documentation>Indicates monetary value of the remaining amount</xsd:documentation>
               </xsd:annotation>
            </xsd:element>
            <xsd:element name="Allowance" minOccurs="0" maxOccurs="unbounded">
               <xsd:annotation>
                  <xsd:documentation>Indicates non-monetary value of the remaining allowance</xsd:documentation>
               </xsd:annotation>
               <xsd:complexType>
                  <xsd:sequence>
                     <xsd:element name="Type" type="cct:CodeType" minOccurs="0">
                        <xsd:annotation>
                           <xsd:documentation>A classification of the business object or component. This identifies the sub-type of the instance of object or component.</xsd:documentation>
                        </xsd:annotation>
                     </xsd:element>
                     <xsd:element name="Category" minOccurs="0">
                        <xsd:annotation>
                           <xsd:documentation>A classification applied to the business object or component. More than one classification scheme can be applied using the @listName attribute to identify the type of code list being used. The classification scheme can be used to group instances of the object or component.</xsd:documentation>
                        </xsd:annotation>
                        <xsd:complexType>
                           <xsd:simpleContent>
                              <xsd:extension base="cct:CodeType">
                                 <xsd:attribute name="listHierarchyID" type="xsd:string" use="optional">
                                    <xsd:annotation>
                                       <xsd:documentation>An indication of the hierarchy level of the category when involved in a hierarchical classification.</xsd:documentation>
                                    </xsd:annotation>
                                 </xsd:attribute>
                              </xsd:extension>
                           </xsd:simpleContent>
                        </xsd:complexType>
                     </xsd:element>
                     <xsd:element name="AvailableAllowance" type="cct:QuantityType" minOccurs="0"/>
                     <xsd:element name="UsedAllowance" type="cct:QuantityType" minOccurs="0"/>
                  </xsd:sequence>
               </xsd:complexType>
            </xsd:element>
         </xsd:choice>
         <xsd:element name="BalanceAmount" type="tns:BalanceAmountType" minOccurs="0" maxOccurs="unbounded">
            <xsd:annotation>
               <xsd:documentation>Indicates monetary value of the remaining amount</xsd:documentation>
            </xsd:annotation>
         </xsd:element>
         <xsd:element name="LastPaymentDate" type="cct:DateTimeType" minOccurs="0">
            <xsd:annotation>
               <xsd:documentation>The Date at which the last payment was done for a customer account</xsd:documentation>
            </xsd:annotation>
         </xsd:element>
         <xsd:element name="ResetDate" type="cct:DateTimeType" minOccurs="0">
            <xsd:annotation>
               <xsd:documentation>Date Represents the date and time that the Bundle subscription count for the Bundle will be reset to zero.</xsd:documentation>
            </xsd:annotation>
         </xsd:element>
         <xsd:element name="Extension" type="extvbo:ExtendedServiceBalanceDetailsType" minOccurs="0"/>
      </xsd:sequence>
   </xsd:complexType>
   <xsd:complexType name="RelatedServiceBalanceType">
      <xsd:annotation>
         <xsd:documentation>A type definition for Related ServiceBalance Type</xsd:documentation>
      </xsd:annotation>
      <xsd:complexContent>
         <xsd:extension base="cmn:BaseComponentType">
            <xsd:sequence>
               <xsd:element name="Extension" type="extvbo:ExtendedRelatedServiceBalanceType" minOccurs="0"/>
            </xsd:sequence>
            <xsd:attribute name="relationshipTypeCode" type="xsd:token" use="optional">
               <xsd:annotation>
                  <xsd:documentation>An attribute to hold the type of relationship between this Service Balance and the referenced target.</xsd:documentation>
               </xsd:annotation>
            </xsd:attribute>
         </xsd:extension>
      </xsd:complexContent>
   </xsd:complexType>
   <xsd:complexType name="ServiceBalancePartsType">
      <xsd:sequence>
         <xsd:element name="CustomerFacingService" type="tns:CustomerFacingServiceType" minOccurs="0"/>
         <xsd:element name="CustomerAccount" type="tns:CustomerAccountType" minOccurs="0"/>
         <xsd:element name="Extension" type="extvbo:ExtendedServiceBalancePartsType" minOccurs="0"/>
      </xsd:sequence>
   </xsd:complexType>
   <xsd:complexType name="ServiceBalanceRolesType">
      <xsd:sequence>
         <xsd:element name="Extension" type="extvbo:ExtendedServiceBalanceRolesType" minOccurs="0"/>
      </xsd:sequence>
   </xsd:complexType>
   <xsd:complexType name="CustomerFacingServiceType">
      <xsd:complexContent>
         <xsd:extension base="cmn:BaseComponentType">
            <xsd:sequence>
               <xsd:element name="Extension" type="extvbo:ExtendedCustomerFacingServiceType" minOccurs="0"/>
            </xsd:sequence>
         </xsd:extension>
      </xsd:complexContent>
   </xsd:complexType>
   <xsd:complexType name="CustomerAccountType">
      <xsd:annotation>
         <xsd:documentation>Indicates the account for which the balance was queried</xsd:documentation>
      </xsd:annotation>
      <xsd:complexContent>
         <xsd:extension base="cmn:BaseComponentType">
            <xsd:sequence>
               <xsd:element name="Extension" type="extvbo:ExtendedCustomerAccountType" minOccurs="0"/>
            </xsd:sequence>
         </xsd:extension>
      </xsd:complexContent>
   </xsd:complexType>
   
   <xsd:complexType name="BalanceAmountType">
      <xsd:annotation>
         <xsd:documentation>Indicates the account for which the balance was queried</xsd:documentation>
      </xsd:annotation>
      <xsd:sequence>
            <xsd:element name="Type" type="cct:CodeType" minOccurs="0">
            <xsd:annotation>
               <xsd:documentation>A classification of the business object or component. This identifies the sub-type of the instance of object or component.</xsd:documentation>
            </xsd:annotation>
         </xsd:element>
            <xsd:element name="Category" minOccurs="0">
            <xsd:annotation>
               <xsd:documentation>A classification applied to the business object or component. More than one classification scheme can be applied using the @listName attribute to identify the type of code list being used. The classification scheme can be used to group instances of the object or component.</xsd:documentation>
            </xsd:annotation>
            <xsd:complexType>
               <xsd:simpleContent>
                  <xsd:extension base="cct:CodeType">
                     <xsd:attribute name="listHierarchyID" type="xsd:string" use="optional">
                        <xsd:annotation>
                           <xsd:documentation>An indication of the hierarchy level of the category when involved in a hierarchical classification.</xsd:documentation>
                        </xsd:annotation>
                     </xsd:attribute>
                  </xsd:extension>
               </xsd:simpleContent>
            </xsd:complexType>
         </xsd:element>
            <xsd:element name="Amount" type="cct:AmountType" minOccurs="0">
            <xsd:annotation>
               <xsd:documentation>A classification of the business object or component. This identifies the sub-type of the instance of object or component.</xsd:documentation>
            </xsd:annotation>
         </xsd:element>
      </xsd:sequence>
   </xsd:complexType>
</xsd:schema>